Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(12)

Issue 1559113002: Fix PPB_Flash_MessageLoop. (Closed)

Created:
3 years, 8 months ago by yzshen1
Modified:
3 years, 7 months ago
CC:
chromium-reviews, darin-cc_chromium.org, jam, mkwst+moarreviews-renderer_chromium.org, mlamouri+watch-content_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Fix PPB_Flash_MessageLoop. This CL suspends script callbacks and resource loads while running nested message loop using PPB_Flash_MessageLoop. BUG=569496 Committed: https://crrev.com/dd77c2a41c72589d929db0592565125ca629fb2c Cr-Commit-Position: refs/heads/master@{#374529}

Patch Set 1 #

Patch Set 2 : add TEST! #

Total comments: 4

Patch Set 3 : #

Unified diffs Side-by-side diffs Delta from patch set Stats (+137 lines, -8 lines) Patch
M chrome/test/ppapi/ppapi_browsertest.cc View 1 1 chunk +1 line, -0 lines 0 comments Download
M content/renderer/pepper/ppb_flash_message_loop_impl.cc View 2 chunks +5 lines, -0 lines 0 comments Download
M ppapi/tests/test_flash_message_loop.h View 1 2 1 chunk +20 lines, -2 lines 0 comments Download
M ppapi/tests/test_flash_message_loop.cc View 1 2 5 chunks +111 lines, -6 lines 0 comments Download

Messages

Total messages: 21 (8 generated)
yzshen1
Hi, reviewers. Please take a look. I verified that this CL does prevent the test ...
3 years, 8 months ago (2016-01-04 23:56:01 UTC) #3
raymes
lgtm for pepper but like you I know nothing of the underlying issue/fix so please ...
3 years, 8 months ago (2016-01-05 00:12:16 UTC) #4
jochen (gone - plz use gerrit)
Is it possible to add a test for this? could you please also reformat the ...
3 years, 8 months ago (2016-01-08 14:42:16 UTC) #5
yzshen1
On 2016/01/08 14:42:16, jochen wrote: > Is it possible to add a test for this? ...
3 years, 7 months ago (2016-02-05 00:39:51 UTC) #7
jochen (gone - plz use gerrit)
lgtm
3 years, 7 months ago (2016-02-05 14:55:21 UTC) #8
raymes
lgtm https://codereview.chromium.org/1559113002/diff/20001/ppapi/tests/test_flash_message_loop.cc File ppapi/tests/test_flash_message_loop.cc (right): https://codereview.chromium.org/1559113002/diff/20001/ppapi/tests/test_flash_message_loop.cc#newcode148 ppapi/tests/test_flash_message_loop.cc:148: ASSERT_TRUE(result_); Will the script eventually be run and ...
3 years, 7 months ago (2016-02-08 00:46:26 UTC) #9
raymes
(also, sorry for the delay :)
3 years, 7 months ago (2016-02-08 00:46:43 UTC) #10
yzshen1
Thanks Raymes! natashenka: friendly ping. https://codereview.chromium.org/1559113002/diff/20001/ppapi/tests/test_flash_message_loop.cc File ppapi/tests/test_flash_message_loop.cc (right): https://codereview.chromium.org/1559113002/diff/20001/ppapi/tests/test_flash_message_loop.cc#newcode148 ppapi/tests/test_flash_message_loop.cc:148: ASSERT_TRUE(result_); On 2016/02/08 00:46:26, ...
3 years, 7 months ago (2016-02-08 16:14:10 UTC) #11
yzshen1
+Justin for security review since Natalie is on a trip Please take a look, Justin. ...
3 years, 7 months ago (2016-02-09 18:26:26 UTC) #13
jschuh
Seems like the worst case is deadlock, so lgtm for security.
3 years, 7 months ago (2016-02-09 21:52:17 UTC) #14
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1559113002/40001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1559113002/40001
3 years, 7 months ago (2016-02-09 21:56:16 UTC) #17
commit-bot: I haz the power
Committed patchset #3 (id:40001)
3 years, 7 months ago (2016-02-09 23:37:24 UTC) #19
commit-bot: I haz the power
3 years, 7 months ago (2016-02-09 23:38:36 UTC) #21
Message was sent while issue was closed.
Patchset 3 (id:??) landed as
https://crrev.com/dd77c2a41c72589d929db0592565125ca629fb2c
Cr-Commit-Position: refs/heads/master@{#374529}

Powered by Google App Engine
This is Rietveld 408576698